
QGIS Application - Bug report #18339

crash report

2018-03-05 03:29 PM - Fernando Garay

Status: Closed

Priority: Normal

Assignee:

Category: Actions

Affected QGIS version:3.0.0 Regression?: No

Operating System: windows Easy fix?: No

Pull Request or Patch supplied:No Resolution: not reproducable

Crashes QGIS or corrupts data:No Copied to github as #: 26229

Description

User Feedback

Report Details

Crash ID: ba54a6c60ae821a1728dc244e6b17e1a9948396d

Stack Trace

QgsVertexTool::~QgsVertexTool :

QgsPointLocator::setExtent :

SpatialIndex::RTree::loadRTree :

SpatialIndex::RTree::Data::getShape :

QgsPointLocator::nearestVertex :

QgsVertexTool::layerVerticesSnappedToPoint :

QgsVertexTool::startDraggingMoveVertex :

QgsVertexTool::startDragging :

QgsVertexTool::cadCanvasReleaseEvent :

QgsMapToolAdvancedDigitizing::canvasReleaseEvent :

QgsMapCanvas::mouseReleaseEvent :

QWidget::event :

QFrame::event :

QGraphicsView::viewportEvent :

QCoreApplicationPrivate::sendThroughObjectEventFilters :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QApplicationPrivate::sendMouseEvent :

QSizePolicy::QSizePolicy :

QSizePolicy::QSizePolicy :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QGuiApplicationPrivate::processMouseEvent :

QWindowSystemInterface::sendWindowSystemEvents :

QEventDispatcherWin32::processEvents :

TranslateMessageEx :

TranslateMessage :

QEventDispatcherWin32::processEvents :

qt_plugin_query_metadata :

QEventLoop::exec :

QCoreApplication::exec :

main :

BaseThreadInitThunk :

RtlUserThreadStart :
QGIS Info

QGIS Version: 3.0.0-Girona

QGIS code revision: commit:001c80b0c3

Compiled against Qt: 5.9.2

Running against Qt: 5.9.2

Compiled against GDAL: 2.2.3

Running against GDAL: 2.2.3

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 6.1.7601

History

#1 - 2018-03-05 04:21 PM - matthieu carlini

It seems to be the same bug as #18260

#2 - 2018-03-06 11:34 AM - Giovanni Manghi

- Resolution set to not reproducable

- Status changed from Open to Closed

This tickets lacks every minimal information (as also a meaningful subject) required for us to try replicate and eventually fix.
